import Entity from "../Entity.js";

import TPlatform from "../traits/TPlatform.js";
import TCollider from "../traits/TCollider.js";
import TPhysics from "../traits/TPhysics.js";

export default class Platform extends Entity {
	constructor(level) {
		super(level);

		this.bounds.size.set(5, 1);
		this.addTrait(new TCollider(this));
		this.addTrait(new TPlatform(this));
		this.addTrait(new TPhysics(this));
	}

	update(dt) {
		let phys = this.t.physics;
		phys.velocity.y -= phys.gravity * dt;
	}

	draw(ctx) {
		this.bounds.draw(ctx);
	}
}
